<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PartsSeeder extends Seeder
{
    public function run()
    {
        // Parts
        DB::table('parts')->insert([
            ['name' => 'SSD 1TB', 'manufacturer_id' => 1, 'created_at' => now(), 'updated_at' => now()],
        ]);
        // Part composite items
        DB::table('part_composite_items')->insert([
            ['part_id' => 1, 'stock_id' => 1, 'quantity' => 2, 'created_at' => now(), 'updated_at' => now()],
        ]);
        // Stock composite items
        DB::table('stock_composite_items')->insert([
            ['stock_id' => 1, 'part_id' => 1, 'quantity' => 1, 'created_at' => now(), 'updated_at' => now()],
        ]);
        $this->command->info('Seeded Parts/Stock Composite tables');
    }
} 